net.sf.jasperreports.repo

## Class DefaultRepositoryPersistenceServiceFactory

- java.lang.Object
- - net.sf.jasperreports.repo.DefaultRepositoryPersistenceServiceFactory

- All Implemented Interfaces:
    PersistenceServiceFactory

      public class DefaultRepositoryPersistenceServiceFactory
      extends java.lang.Object
      implements PersistenceServiceFactory

  Version:
    $Id: DefaultRepositoryPersistenceServiceFactory.java 6918 2014-02-19 17:35:10Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultRepositoryPersistenceServiceFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DefaultRepositoryPersistenceServiceFactory` | `getInstance()`
    `<K extends RepositoryService,L extends Resource> PersistenceService` | `getPersistenceService(JasperReportsContext jasperReportsContext, java.lang.Class<K> repositoryServiceType, java.lang.Class<L> resourceType)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultRepositoryPersistenceServiceFactory

          public DefaultRepositoryPersistenceServiceFactory()

  - ### Method Detail

    - #### getInstance

          public static DefaultRepositoryPersistenceServiceFactory getInstance()

    - #### getPersistenceService

          public <K extends RepositoryService,L extends Resource> PersistenceService getPersistenceService(JasperReportsContext jasperReportsContext,
                                                                                                  java.lang.Class<K> repositoryServiceType,
                                                                                                  java.lang.Class<L> resourceType)

      Specified by:
        `getPersistenceService` in interface `PersistenceServiceFactory`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com